POST TimeSaver/PostSites
Request Information
URI Parameters
None.
Body Parameters
Site| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| RegionID | globally unique identifier |
None. |
|
| ManagerID | globally unique identifier |
None. |
|
| OwnerID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| Code | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| IsActive | boolean |
Required |
|
| Address | string |
None. |
|
| TypeID | globally unique identifier |
None. |
|
| SiteFinCode | string |
None. |
|
| SecurityGroupID | globally unique identifier |
Required |
|
| IsOvertime | boolean |
Required |
|
| IsSickLeave | boolean |
Required |
|
| IsPublicHolidayOT15 | boolean |
Required |
|
| IsPublicHolidayOT2 | boolean |
Required |
|
| ShortSiteName | string |
None. |
|
| IsBCSickLeave | boolean |
Required |
|
| CompanyCode | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "74f73140-9f75-43af-8c59-f431c2fc0054",
"regionID": "d1f7498c-db71-4222-a969-53a83632aa5b",
"managerID": "7054357f-2ff9-4a00-ade8-202bb5cdbdb0",
"ownerID": "f376a686-e2b2-48e1-8673-5a882605d17a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"latitude": 1.1,
"longitude": 1.1,
"isActive": true,
"address": "sample string 6",
"typeID": "e753dd2c-3339-4e4e-8fb4-f6053e16e782",
"siteFinCode": "sample string 7",
"securityGroupID": "4fb8efe6-3256-44b6-970a-bd6cb6893398",
"isOvertime": true,
"isSickLeave": true,
"isPublicHolidayOT15": true,
"isPublicHolidayOT2": true,
"shortSiteName": "sample string 13",
"isBCSickLeave": true,
"companyCode": "sample string 15"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.